Subject: Re: bug#19300: 24.4.51; visual-line-mode messes up after-string rendering when it spans all window columns

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Dec 2014 19:51:56 +0200

> Date: Tue, 09 Dec 2014 19:30:46 +0200
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 12/09/2014 06:11 PM, Eli Zaretskii wrote:
> 
>  > This means every character is 8 pixels wide, so I'd expect the
>  > wrapping to occur around 256-pixel wide window.
> 
> Or 272 (34 columns), if we're talking the first example. Right?
> 
>  > These are not the numbers we need, we need what this returns:
>  >
>  >    M-: (window-width nil t) RET
> 
> All right, thanks. So, this time I ended up increasing the window width 
> by 1 pixel, and wrapping disappeared. The widths in pixels:
> 
> 288 total, 272 body: text is wrapped.
> 
> 289 total, 273 body: no wrapping.

So I guess this bug report now boils down to the question why one
extra pixel, is that correct?  Or are there additional issues with
this?

> >> It's fairly hard to reach 288px though, because dragging with the mouse
> >> still moves the window border in jumps (even though not by columns).
> >
> > Perhaps set window-resize-pixelwise non-nil.
> 
> Ok, but that doesn't seems to make much of a difference: I have the 
> frame maximized when experimenting with this (although that's not 
> required to reproduce the problem), and there are only two windows.

When you move the divider between windows, window-resize-pixelwise
does take effect, but I think only in Emacs 25.0.50, not on the
release branch.